# 
# Use Tabstop = 3 to correctly view this file.
#

ascii: angle.cat bwborder.cat curvature.cat dilate.cat edge.cat erode.cat fftderiv.cat fftshift.cat follow.cat gsm2d.cat gsm.cat im2bw.cat im2gray.cat imconv.cat imfinfo.cat imread.cat imshow.cat imwrite.cat mkfilter.cat normal.cat ntsc2rgb.cat rgb2ntsc.cat unfollow.cat 

html:angle.html bwborder.html curvature.html dilate.html edge.html erode.html fftderiv.html fftshift.html follow.html gsm2d.html gsm.html im2bw.html im2gray.html imconv.html imfinfo.html imread.html imshow.html imwrite.html mkfilter.html normal.html ntsc2rgb.html rgb2ntsc.html unfollow.html
	htmltoc


%.cat: %.man
		groff -Tascii -man $< > $@
# Manpages without any escape/control characters:
#		groff -Tascii -man $< | col -b > $*.cat
#		groff -Tascii -man -Tlatin1 -P-cbuof $< > $@   #works just for newer groffs

%.html: %.man
		groff -Thtml -man $< > $@

pdf:  sip-0.1.0-reference.pdf

sip-0.1.0-reference.pdf:
		groff -Tdvi -man *.man > tmp.dvi
		dvipdf -f tmp.dvi sip-0.1.0-reference.pdf
		rm -f tmp.dvi

clean:
		rm -f *.cat *.pdf *.html
distclean: clean
		rm -rf .xvpics
